/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <device.h>

const uint8 LED_OFF = 0x00;		// turn both LEDs off
const uint8 LED_GREEN = 0x01;	// turn green LED on
const uint8 LED_RED = 0x02;		// turn red LED on
const uint8 LED_YELLOW = 0x03;	// turn both LEDs on
const uint8	LED_MIN = 0x00;		// minimum LED value - LED_OFF
const uint8	LED_MAX = 0x03;		// maximum LED value - LED_YELLOW
const uint8	LED_MASK = 0x03;	// LED bit mask
const uint32 delay = 500;		// 500 ms

// Schmartboard bootloadable demonstration routine
void main( void)
{
	uint8 led = 0;			// board edge LED to turn on
	PWM_Start();			// without the PWM LED_YELLOW looks orange
	for( ; 1; )				// repeat forever
	{	// blink external LEDs on pins as demo bootloadable project
		LED_Color_Write( led & LED_MASK);
		CyDelay( delay);	// wait one delay unit
		led = ++led & LED_MASK;
	}	// blink external LEDs on pins as demo bootloadable project
}	// end of main

/* [] END OF FILE */
