/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <device.h>

const uint8 LED_OFF = 0x00;		// turn both LEDs off
const uint8 LED_GREEN = 0x01;	// turn green LED on
const uint8 LED_RED = 0x02;		// turn red LED on
const uint8 LED_YELLOW = 0x03;	// turn both LEDs on
const uint8	LED_MIN = 0x00;		// minimum LED value - LED_OFF
const uint8	LED_MAX = 0x03;		// maximum LED value - LED_YELLOW
const uint8	LED_MASK = 0x03;	// LED bit mask

// Schmartboard bootloader initial routine
void main( void)
{
	LED_Color_Write( LED_RED);
	// run bootloader if SCL is shorted to ground or for timeout period or invalid bootloadable
	if ((SCL_Read() == 0) || (SchmartBL_GET_RUN_TYPE == SchmartBL_START_BTLDR))
		SchmartBL_SET_RUN_TYPE( SchmartBL_START_BTLDR);

	CyBtldr_Start();			// generic alias of SchmartBL_Start, never returns
}

/* [] END OF FILE */
