@echo off
rem *********** PSoC Creator Copy Default . Bat **********************
rem Reference:  Copy PSoC Creator Project(s) default configuration values
rem Reference:  Rev 1.0 - Initial version (JD 4-5-13)
rem Filename:	CopyDefault.bat
rem Purpose:	Copy .Default files to user specific ones giving a project
rem				a predetermined starting appearance and configuration
rem Location:   Place in workspace folder to process that one or above several
rem				workspace folders to process all of them
rem ******************************************************************

echo Copy *.cywrk.Default and *.cyprj.Default in all subdirectories replacing
echo .Default suffix with the current user login name.
for /R %%f in (*.Default) do copy /-Y "%%f" "%%~dpnf.%USERNAME%"

rem without overwrite confirmation version
rem for /R %%f in (*.Default) do copy "%%f" "%%~dpnf.%USERNAME%"

rem  END *************************************************************