@echo off
rem *********** PSoC Creator Make Default . Bat **********************
rem Reference:  Make PSoC Creator Project(s) default configuration values
rem Reference:  Rev 1.0 - Initial version (JD 4-5-13)
rem Filename:	MakeDefault.bat
rem Purpose:	Copy .Default files from user specific ones giving a project
rem				a predetermined starting appearance and configuration
rem Location:   Place in workspace folder to process that one or above several
rem				workspace folders to process all of them
rem ******************************************************************

echo Copy *.cywrk and *.cyprj files in all subdirectories replacing
echo the current user login name suffix with .Default
for /R %%f in ("*.%USERNAME%") do copy /-Y "%%f" "%%~dpnf.Default"

rem without overwrite confirmation version
rem for /R %%f in ("*.%USERNAME%") do copy "%%f" "%%~dpnf.Default"

rem  END *************************************************************